## fo-property-source-document

fo-property-source-document —

## Synopsis

    enum        FoEnumSourceDocument;
    #define     FO_TYPE_ENUM_SOURCE_DOCUMENT
    GType       fo_enum_source_document_get_type
                                                (void);
    struct      FoPropertySourceDocument;
    struct      FoPropertySourceDocumentClass;
    FoProperty* fo_property_source_document_new (void);
    FoProperty* fo_property_source_document_get_initial
                                                (void);

## Description

## Details

### enum FoEnumSourceDocument

    typedef enum {
      FO_ENUM_SOURCE_DOCUMENT_NONE
    } FoEnumSourceDocument;

### FO_TYPE_ENUM_SOURCE_DOCUMENT

    #define     FO_TYPE_ENUM_SOURCE_DOCUMENT

### fo_enum_source_document_get_type ()

    GType       fo_enum_source_document_get_type
                                                (void);

Returns : |

### struct FoPropertySourceDocument

    struct FoPropertySourceDocument;

### struct FoPropertySourceDocumentClass

    struct FoPropertySourceDocumentClass;

### fo_property_source_document_new ()

    FoProperty* fo_property_source_document_new (void);

Creates a new FoPropertySourceDocument initialized to default value.

Returns : | the new FoPropertySourceDocument.

### fo_property_source_document_get_initial ()

    FoProperty* fo_property_source_document_get_initial
                                                (void);

Get an instance of the property with the correct initial value.

Returns : | An instance of the property.